Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-08-2021 15:54:49

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.10.0-8-amd64
(G)UI : Gnome 40.4
Inscription : 07-02-2018

Impossible d'installer la version beta de Signal, et grosse pagaille…

Bonjour,
J'avais installé Signal : ça fonctionne parfaitement. Mais voilà que j'ai appris l'existence d'une version beta, que je m'empresse bien sûr d'installer. Avant cela, j'ai supprimé Signal (via Synaptic), ouvert le Terminal en root pour nettoyer tout cela.

apt update && apt -y upgrade && apt autoremove && apt autoremove --purge && apt clean && apt autoclean && localepurge



Je copie-colle les instructions données sur la page de Signal, à savoir (toujours en root) :

$ wget --quiet --output-document - https://updates.signal.org/desktop/apt/keys.asc | apt-key add -

$ echo "deb [arch=amd64] https://updates.signal.org/desktop/apt xenial main" |  tee -a /etc/apt/sources.list.d/signal-xenial.list

$  apt install apt-transport-https &&  apt update && apt install signal-desktop-beta
 



Et là, ça coince méchamment et le Terminal m'injurie :

E: Des valeurs entrant en conflit ont été renseignées pour l'option Signed-By à propos de la source https://updates.signal.org/desktop/apt/ xenial: /usr/share/keyrings/signal-desktop-keyring.gpg !=

E: La liste des sources ne peut être lue.

E: Des valeurs entrant en conflit ont été renseignées pour l'
option Signed-By à propos de la source https://updates.signal.org/desktop/apt/ xenial: /usr/share/keyrings/signal-desktop-keyring.gpg !=

E: La liste des sources ne peut être lue.
 



De fait, il m'est impossible d'ouvrir le fichier sources.list avec Gedit :

gedit /etc/apt/sources.list
Unable to init server: Impossible de se connecter : Connexion refusée

(gedit:5419): Gtk-WARNING **: 15:38:34.323: cannot open display:
 



C'est là que je remarque que les instructions concernent Xenial (une version d'Ubuntu) et non Bulleye : je les resaisie en les corrigeant, ce qui n'arrange strictement rien du tout. En plus de cela, impossible d'ouvrir Synaptic pour supprimer la version beta de Signal. Me voilà bien…

Help donc (je continue à chercher)

Dernière modification par fred02840 (15-08-2021 16:00:04)


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#2 15-08-2021 16:03:33

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.10.0-8-amd64
(G)UI : Gnome 40.4
Inscription : 07-02-2018

Re : Impossible d'installer la version beta de Signal, et grosse pagaille…

J'ai supprimé le fichier

/etc/apt/sources.list.d/signal-xenial.list



Je peux ouvrir Synaptic, ce qui va me permettre (j'espère) de supprimer le dépôt de Signal.

Voilà qui est fait. Je laisse Synaptic s'occuper de la mise à jour.
Un nouveau passage par le Terminal pour un nettoyage (voir ci-dessus) : aucun message déshonorant. Mais impossible d'ouvrir le fichier sources.list avec Gedit…

Essai concluant avec nano. Bizarre : pourquoi est-il impossible d'ouvrir ce fichier avec Gedit ?

Dernière modification par fred02840 (15-08-2021 16:51:00)


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#3 20-08-2021 14:41:08

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Impossible d'installer la version beta de Signal, et grosse pagaille…

Hello
on n'ouvre pas gedit en root, certaine application graphique demande une autorisation genre gparted mais elles sont prévu pour
Pareil on n'ajoute pas de dépot Ubuntu dans une debian , même si certaine personne vont se précipiter pour dire le contraire , il y aura souvent des problèmes de dépendances au mieux
signal-desktop existe en version snap 5.13
en version flatpak , plus récent 5.14
https://debian-facile.org/doc:systeme:flatpak

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 20-08-2021 15:01:24

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.10.0-8-amd64
(G)UI : mutter 3.38.4-1
Inscription : 15-02-2016

Re : Impossible d'installer la version beta de Signal, et grosse pagaille…

Croutons bonjour smile

fred02840 utilise bullseye d'après sa signature ( apparemment, il n'a pas remis à jour ses informations pour le noyau ) et avec bullseye chez snap signal-desktop en est aussi à la version 5.14.0 :


snap find signal-desktop

Name            Version  Publisher     Notes  Summary
signal-desktop  5.14.0   snapcrafters  -      Signal Private Messenger for Windows, Mac, and Linux
 


Nos vies commencent à prendre fin le jour où nous devenons silencieux à propos des choses qui comptent. Martin Luther King

Hors ligne

#5 22-08-2021 19:27:28

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.10.0-8-amd64
(G)UI : Gnome 40.4
Inscription : 07-02-2018

Re : Impossible d'installer la version beta de Signal, et grosse pagaille…

Bonjour,
Euh oui… je n'ai pas mis ma présentation à jour : c'est maintenant chose faite. Merci pour les conseils : j'avais oublié que Gedit ne s'ouvrait pas en mode administrateur (c'est vrai que ça va mieux en mode utilisateur)… Mais j'ignorais les possibilités offertes par flatpak.
Je viens de l'installer, ainsi que gnome-software-plugin-flatpak pour l'intégrer à Gnome.

Démarche pour installer Signal (ce qui pourra servir à d'autres) :

flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

flatpak install --from https://dl.flathub.org/repo/appstream/org.signal.Signal.flatpakref
 




La dernière adresse est une simple recopie de celle qui se trouve associé au bouton « Installer » de la page relative à Signal-desktop.

Ensuite, il suffit de répondre « yes » à la question posée (pas eu le temps de la noter).

Je lance signal-desktop :

flatpak run org.signal.Signal



Réponse :

[2 zypak-helper] Failed to connect to session bus: [org.freedesktop.DBus.Error.NotSupported] Using X11 for dbus-daemon autolaunch was disabled at compile time, set your DBUS_SESSION_BUS_ADDRESS instead
[2 zypak-helper] src/helper/main.cc:40(DetermineZygoteStrategy): Assertion failed: bus
 



Bon… Voyez-vous ce qui se passe ?

Quand je saisis :

flatpak list
 



…j'obtiens ceci (désolé pour ce tableau confus…) :


Name          Application ID              Version   Branch  Installation
Freedesktop P…      org.freedesktop.Platform        20.08.14    20.08 system
Mesa          …desktop.Platform.GL.default              21.1.4    20.08   system
Intel           …esktop.Platform.VAAPI.Intel                  20.08   system
openh264        …eedesktop.Platform.openh264      2.1.0   2.0   system
Signal Desktop      org.signal.Signal           5.14.0    stable  system
 



Qu'est-ce que j'ai loupé dans l'indication à placer après flatpak run ?

Dernière modification par fred02840 (22-08-2021 19:44:40)


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#6 23-08-2021 13:59:30

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Impossible d'installer la version beta de Signal, et grosse pagaille…

Hello
c'est parce que tu lance l'application en root que çà fonctionne pas
d’ailleurs tu aurais du faire l'installation en user il y avait pas besoin d’être root
au premier lancement c'est un peu bavard , les lancement suivant moins de ligne dans le terminale

flatpak run org.signal.Signal


[2 preload-host-spawn-strategy] Running: /app/bin/zypak-helper child - /app/Signal/signal-desktop --type=zygote
NODE_ENV production
NODE_CONFIG_DIR /app/Signal/resources/app.asar/config
NODE_CONFIG {}
ALLOW_CONFIG_MUTATIONS undefined
HOSTNAME undefined
NODE_APP_INSTANCE undefined
SUPPRESS_NO_CONFIG_WARNING undefined
SIGNAL_ENABLE_HTTP undefined
userData: /home/stephane/.var/app/org.signal.Signal/config/Signal
config/get: Successfully read user config file
Set Windows Application User Model ID (AUMID) { appUserModelId: 'org.whispersystems.signal-desktop' }
x-attr dependency did not load successfully
config/get: Successfully read ephemeral config file
libva error: vaGetDriverNameByIndex() failed with unknown libva error, driver_name = (null)
updateSchema:
  Current user_version: 38;
  Most recent db schema: 38;
  SQLite version: 3.34.1;
  SQLCipher version: 4.4.3 community;
  (deprecated) schema_version: 196;

ALSA lib ../../pulse/pulse.c:242:(pulse_connect) PulseAudio: Unable to connect: Connection refused

ALSA lib ../../pulse/pulse.c:242:(pulse_connect) PulseAudio: Unable to connect: Connection refused

(node:95) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
(Use `exe --trace-deprecation ...` to show where the warning was created)
 



mais ceci dit tu as un icône de lancement qui c'est créé dans tes applications internet


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

Pied de page des forums